Suggest Services
Suggest State
The Suggest State endpoint provides predictive autocomplete and search for states and federal states, returning names, codes, and Egon IDs.
Headers & authentication
Required request headers and their expected values.
| Field | Type | Description |
|---|---|---|
tokenreq | String | Authentication token sent in the |
Request
Processing options, country context, and state search query.
| Field | Type | Description |
|---|---|---|
parreq | Object | Processing parameters, candidate limits, and country context |
iso2 | String | Country code, ISO 3166-1 alpha-2. One of |
iso3 | String | Country code, ISO 3166-1 alpha-3. One of |
max_candidates | Number | Maximum number of candidates to extract Default value: |
datareq | Object | Query container holding the input search string |
queryreq | String | Query string |
Response
Matching state candidates, administrative codes, and system status.
| Field | Type | Description |
|---|---|---|
data | Object | |
results | Array | Array of candidate matches returned by the suggestion engine |
iso3 | String | Country code ISO 3166-1 alpha-3 |
lngout | String | Language code ISO 3166-1 numeric |
country | String | Country name |
country_id | Number | ID of the country |
state | String | State name |
state_code | String | State code |
state_id | Number | ID of the state |
system | Object | System error and execution status |
ret_code | Number | Code: 0 no blocking error, <> 0 blocking error code |
des_ret_code | String | Description |
curl -X POST "https://{host}:{port}/Egon/api/suggest/state" \
-H "token: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"par": {
"iso3": "USA"
},
"data": {
"query": "ma"
}
}'